The Connacht Senior League is a rugby union competition for senior clubs in the Irish province of Connacht. It was first played for in 1925-26.Edmund Van Esbeck (1986), The Story of Irish Rugby. London:Stanley Paul
It has traditionally been ranked second in importance to the Connacht Senior Cup. With the formation of the All-Ireland League it has declined in importance somewhat with the advent of Professional Rugby, and the participation of the regional team Connacht Rugby in competitions such as the United Rugby Championship and European Rugby Champions Cup.
Performance by Team Club Titles Shared Titles Recent Win Corinthians 26 2 2026-27 Galwegians 24 2 2014-15 UCG 15 1 1974-75 Buccaneers 13 2022-23 Ballina 5 2020-21 Athlone 4 1 1988-89 Ballinasloe 4 1948-49 Sligo 3 2024-25 Loughrea 1 1926-27
Past winners
1920s 1925–26 Galwegians 1926–27 Loughrea 1927–28 Ballinasloe 1928–29 Ballina
1930s 1929–30 Ballina 1930–31 UCG 1931–32 UCG 1932–33 UCG 1933–34 Corinthians 1934–35 UCG 1935–36 Corinthians 1936–37 UCG 1937–38 UCG 1938–39 Corinthians
1940s 1940 Corinthians 1941 Corinthians 1942 UCG 1943 Corinthians 1944 Corinthians 1945 Ballinasloe 1946 Ballinasloe 1947 Galwegians 1948 UCG 1949 Ballinasloe
1950s 1950 Corinthians 1951 Corinthians/Ballina 1952 Corinthians 1953 Ballina 1954 Corinthians 1955 UCG 1956 Athlone 1957 Galwegians 1958 Galwegians 1959 Galwegians
1960s 1960 Galwegians 1961 Galwegians 1962 UCG beat Galwegians 1963 UCG 1964 Galwegians 1965 Corinthians beat Athlone 1966 UCG/Galwegians 1967 UCG 1968 UCG 1969 UCG
1970s 1970 Galwegians 1971 Galwegians beat Ballinasloe 1972 Galwegians 1973 UCG 1974 Corinthians beat Athlone 1975 UCG 1976 Corinthians beat Athlone 1977 Athlone 1978 Corinthians 1979 Corinthians
1980s 1980 Corinthians 1981 Corinthians 1982 Corinthians 1983 Corinthians 1984 Galwegians beat Athlone 1985 Galwegians beat Athlone 1986 Corinthians beat Athlone 1987 Athlone 1988 Corinthians 1989 Athlone beat Corinthians
1990s 1990 Galwegians beat Corinthians 1991 Galwegians beat Sligo 1992 Galwegians beat Ballina 1993 Ballina beat Corinthians 1994 1995 Corinthians beat Galwegians 1996 Galwegians 1997 1998 Buccaneers 1999 Buccaneers
2000s 2000 Buccaneers 2001 Galwegians 2002 Galwegians beat Buccaneers 2003 Galwegians 2004 Buccaneers beat Galwegians 2005 Galwegians 2006 Buccaneers beat Galwegians 2007 Buccaneers beat Galwegians 2008 Buccaneers beat Connemara 33-3 2009 Galwegians
2010s 2009–10 Galwegians 2010–11 Buccaneers 2011–12 Galwegians 2012–13 Galwegians 2013–14 Galwegians 2014–15 GalwegiansGalwegians Retain Connacht Senior League Title 2015–16 Buccaneershttp://www.independent.ie/sport/rugby/connacht-rugby/pirates-put-sligo-to-the-sword-to-recapture-league-title-31500233.html Buccaneers captured first Senior League title since 2007 2016–17 BuccaneersIrish Independent 2017–18 Buccaneers beat GalwegiansBuccaneers RFC 2018–19 Buccaneers
2020s 2019–20 SligoSligo RFC 2020-21 - No competition 2021–22 BallinaBallina RFC 2022–23 BuccaneersConnacht Rugby 2023–24 SligoConnacht Rugby 2024–25 SligoOcean FM 2025-26 Galway Corinthians RFC 2026-27 Galway Corinthians RFCOcean FM
See also Leinster Senior League Munster Senior League Ulster Senior League Connacht Senior Cup
References